AppInstances
List App Instances
List all app instances
GET
/
api
/
apps
/
beta
/
apps
/
{appId}
/
versions
/
{versionId}
/
instances
List App Instances
curl --request GET \
--url https://mycluster.domino.tech/api/apps/beta/apps/{appId}/versions/{versionId}/instances \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/apps/beta/apps/{appId}/versions/{versionId}/instances"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/apps/beta/apps/{appId}/versions/{versionId}/instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"createdAt": 123,
"id": "<string>",
"status": "<string>",
"describeUrl": "<string>",
"dfsCommitId": "<string>",
"gitCommitId": "<string>"
}
],
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>",
"limit": 123,
"offset": 123,
"totalCount": 123
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Path Parameters
The id of the app to retrieve the instances for.
The id of the app version to retrieve the instances for.
Last modified on August 18, 2026
Was this page helpful?
⌘I
List App Instances
